<h1 class="text-2xl font-medium mt-12 mb-7">Results</h1>

<div class="relative overflow-x-auto">
  <table class="w-full text-sm text-left text-gray-600">
    <thead class="text-xs text-gray-700 uppercase bg-gray-100">
      <tr>
        <th scope="col" class="px-6 py-4">
          Check
        </th>
        <th scope="col" class="px-6 py-4">
          Result
        </th>
        <th scope="col" class="px-6 py-4">
          Details
        </th>
      </tr>
    </thead>
    <tbody>
      {{$isOdd := false}}
      {{range $key, $res := .results}}
      <tr class="align-top border-t{{if $isOdd}} bg-gray-50{{end}}">
        <th scope="row" class="px-6 py-4 font-medium text-gray-800">
          <a class="hover:underline" href="#{{if eq $key "Security headers"}}security-response-headers{{else}}{{$key}}{{end}}">{{$key}}</a>
        </th>
        <td class="px-6 py-4">
          <span class="inline-flex items-center">
            {{if $res.Valid}}
            <svg xmlns="http://www.w3.org/2000/svg" class="inline-block align-middle w-5 h-5 mr-2 text-green-600"
              viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
              stroke-linejoin="round" class="feather feather-check">
              <polyline points="20 6 9 17 4 12"></polyline>
            </svg> Passed
            {{else if eq $key "Security headers"}}{{/* IMPROVE: use enum instead of boolean and this check */}}
            <svg class="inline-block align-middle w-5 h-5 mr-2 text-amber-500" xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
              stroke-linejoin="round" class="feather feather-alert-triangle">
              <path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path>
              <line x1="12" y1="9" x2="12" y2="13"></line>
              <line x1="12" y1="17" x2="12.01" y2="17"></line>
            </svg> <a class="hover:underline" href="#security-response-headers">Recommendation</a>
            {{else}}
            <svg class="inline-block align-middle w-5 h-5 mr-2 text-red-600" xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
              stroke-linejoin="round" class="feather feather-x">
              <line x1="18" y1="6" x2="6" y2="18"></line>
              <line x1="6" y1="6" x2="18" y2="18"></line>
            </svg> <a class="hover:underline" href="#{{if eq $key "Security headers"}}security-response-headers{{else}}{{$key}}{{end}}">Failed</a>
            {{end}}
          </span>
        </td>
        <td class="px-6 py-4" style="overflow-wrap: anywhere">
          {{$res.Details}}
        </td>
      </tr>
      {{$isOdd = not $isOdd}}
      {{end}}
    </tbody>
  </table>
</div>
